MobileInfocenter

Palm OS Mame Emulator Released

A new version of the MAME Arcade emulator has been released for the Palm OS. MAME is an open source multiple arcade machine emulator that runs hundreds of classic arcade games.

Palm OS Mame EmulatorThe Palm MAME emulator can be downloaded here. It requires at least Palm OS 5, a memory card and as much free space as possible. There is a special optimized version for the Tapwave Zodiac.

Article Comments

 (25 comments)

The following comments are owned by whoever posted them. PalmInfocenter is not responsible for them in any way.
Please Login or register here to add your comments.

Start a new Comment Down

need a car?

batmon @ 7/8/2005 4:38:17 PM # Q
wow~ I guess I have to go buy a car first before I can use this. :-)

RE: need a car?
WileyCoyote @ 7/8/2005 8:16:36 PM # Q
not just a car a "memory car"! Must be one of those hybreds with an ARM processor

RE: need a car?
Wolfgard @ 7/9/2005 5:56:43 AM # Q
Don't forget it MUST have lots of free space. Hummer with an ARM processer?

pen & paper -> m515 -> Zire72 -> TH55 & Handera 330
RE: need a car?
Strider_mt2k @ 7/9/2005 6:54:57 AM # Q
That would sure come in handy in parking lots!


RE: need a car?
Altema @ 7/9/2005 10:22:57 AM # Q
>Hummer with an ARM processer?

In a tight parking lot with pedestrians while squeeeezing between other cars, wouldn't the mirrors be the "ARM Processors"?

I think something's getting lost in the translation here...
The_Voice_of_Reason @ 7/9/2005 1:03:46 PM # Q
hybreds with an ARM processor

Is that like an aristocratic (high bred) version of Steve Austin (the Bionic Man)?

- Mrs. Malaprop


------------------------
Sony CLIE UX100: 128 MB real RAM, OLED screen. All the PDA anyone really ever wanted.
------------------------

The Palm Economy = Communismô
The Great Palm Swindle: http://www.palminfocenter.com/comment_view.asp?ID=7864#108038

Is MAME completey out of control?
The_Voice_of_Reason @ 7/9/2005 1:16:26 PM # Q
It requirers at least Palm OS 5, a memory car and as much free space as possible.

This is insane! MAME's "requirers" are an outrage! Sounds like this program is one of the most demanding affectations in the entire PalmOS library. Does it actually work better with PalmOS 6 (Cobalt) or PalmOS 7 (PalmLinux)? Then I hear I have to buy a Toyota Prius for it? And it needs a lot of "free space"? (Step back, people. Give MAME a little room!)

I realize that my affluence over MAME's developers is very small, but I can't reprehend why they designed such a resource-hungry emulator. It's the very pineapple of resource-hungry PalmOS affectations. Sorry, but I refuse to give in to MAME's demands.

- Mrs. Malaprop


------------------------
Sony CLIE UX100: 128 MB real RAM, OLED screen. All the PDA anyone really ever wanted.
------------------------

The Palm Economy = Communismô
The Great Palm Swindle: http://www.palminfocenter.com/comment_view.asp?ID=7864#108038

RE: need a car?
nuopus @ 7/10/2005 3:35:24 PM # Q
MAME requires a lot of resources inherrantly. It is an emulator meaning that it has to emulate the hardware that game was designed for AND run the game. I seriously doubt you will get a good MAME emulator for older devices.

PalmOS 5 allows for better graphics control for games. You will see this is going to be the trend with newer more graphically enhanced games. Example is MicroQuad. GREAT GAME!! Not for OS4 though.

Your comment is akin to me getting mad because my aging Nintendo64 cannot play the newer GameCube games! "This is insane! Nintendo's "requirers" are an outrage! Sounds like this game is one of the most demanding affections in the entire Nintendo library. Does it actually work better with the Nintendo Gamecube?!?!??!"

I mean give me a break! Another difference is that OS4 runs on DragonBall Processor as well as some ARM. OS5 requires an ARM processor.

Also, it is probably based on existing MAME source code written for x86 processors. Instead of REWRITING a majority of the code from scratch, it is MUCH easier to code it for ARM architecture because it is closer to the platform it was originally designed for than dragonball.

Just deal with the fact that you are trying to play GameCube games on your Nintendo64 and you may just want to UPGRADE instead of whine.

RE: need a car?
nuopus @ 7/10/2005 3:47:13 PM # Q
To clarify, PalmOS4 and PalmOS5 run on VERY different architectures. Although they look the same because they use same launchers and rewritten PIM applications, they are not the same.

OS5 only runs OS4 applications because of PACE (Palm Application Compatibility Environment) which emulates aspects of the older DragonBall processors.

RE: need a car?
dagwud @ 7/10/2005 7:14:09 PM # Q
Nuopus wrote:

MAME requires a lot of resources inherrantly.

Since when do those resources include a Toyota Prius?

Your comment is akin to me getting mad because my aging Nintendo64 cannot play the newer GameCube games!

Somebody didn't get the joke.

--
PalmPilot Pro (1997) -> III (1998) -> Vx (1999) -> m500 (2001) -> m515 (2002) -> ???

RE: need a car?
nuopus @ 7/11/2005 1:43:37 AM # Q
Comment had nothing to do with the Prius comment prior. It was to the whining in this post:

"It requirers at least Palm OS 5, a memory car and as much free space as possible.
This is insane! MAME's "requirers" are an outrage! Sounds like this program is one of the most demanding affectations in the entire PalmOS library. Does it actually work better with PalmOS 6 (Cobalt) or PalmOS 7 (PalmLinux)?"

Just sick of people complaining when people write software outside of their aging devices and they are too cheap to get a new one. And .... I did get the mispelling in his post.

RE: need a car?
dagwud @ 7/11/2005 9:14:44 AM # Q
nuopus wrote:

Just sick of people complaining when people write software outside of their aging devices and they are too cheap to get a new one. And .... I did get the mispelling in his post.

Ironically, it's "misspelling".

--
PalmPilot Pro (1997) -> III (1998) -> Vx (1999) -> m500 (2001) -> m515 (2002) -> ???

RE: need a car?
dagwud @ 7/11/2005 9:43:46 AM # Q

(Dangit. I failed to close the blockquote tag.)

--
PalmPilot Pro (1997) -> III (1998) -> Vx (1999) -> m500 (2001) -> m515 (2002) -> ???

This guy is quite a tragic character
The_Voice_of_Reason @ 7/11/2005 12:35:19 PM # Q
nuopus: Look up the word "malapropism" and then get a grownup to explain the posts in this thread to you.


------------------------
Sony CLIE UX100: 128 MB real RAM, OLED screen. All the PDA anyone really ever wanted.
------------------------

The Palm Economy = Communismô
The Great Palm Swindle: http://www.palminfocenter.com/comment_view.asp?ID=7864#108038

latest os5? 5.x or 5.4?
ackmondual @ 7/12/2005 3:44:11 AM # Q
see above
RE: need a car?
hkklife @ 7/12/2005 9:35:53 AM # Q
OS 5.4.8 is the latest shipping Garnet. Expect it or possibly 5.4.9 in the T7 this fall.

RE: need a car?
ackmondual @ 7/12/2005 1:45:28 PM # Q
so only a few handhelds with os5.4 can run this?
RE: need a car?
hkklife @ 7/12/2005 3:09:27 PM # Q
Treo 650, T5, LifeDrive, and T|E2 are the only ones I can think of with OS 5.4 or greater pre-installed (or available).

Reply to this comment

Great app

rsc1000 @ 7/8/2005 7:13:08 PM # Q
I tried this with a few titles and it worked great - brings back the classics!
BTW - nice to see PIC actually doing something on gaming. PIC used to do a lot more software reviews/coverage. You need more of that.

RE: Great app
legodude522 @ 7/8/2005 7:47:29 PM # Q
Got this a few weeks ago on my Zodiac. Rampage wouldn't work properly, hopefully hey fixed it.

Palm m125 December 25, 2003 to March 24 2004 > palmOne Zire 71 March 24, 2004 to March 31, 2005. Tapwave Zodiac 1 April 18, 2005 to present.
Reply to this comment

pow wow soooo cooool

scorched @ 7/9/2005 10:46:23 AM # Q
thank you! thank you! thank you!
whoever you are! this is so cool!!!
thank you! thank you! thank you!

amazing! works great (aside from some sound issues...)
i will actually buy this software unlike other software...
because you made a dream of mine come true!

btw, will there ever be a chance to play GBA roms over palm T3?

oh, and how the *%#@ do you conjur magic in GoldenAxe???

RE: pow wow soooo cooool
suiciety @ 7/9/2005 9:44:35 PM # Q
Crimson Fire sell a basic GBA emulator. It costs a bit and currently sits around 50% speed.

RE: pow wow soooo cooool
scorched @ 7/10/2005 8:48:06 AM # Q
thanks!

RE: pow wow soooo cooool
Curious D @ 7/13/2005 10:17:26 PM # Q
While it doesn't have a GBA emulator, LJP has a SNES emulator for the Palm. It's free too. You'll need UDMH for it though.

Reply to this comment

Where are the ROMs?

asiayeah @ 7/12/2005 8:45:56 PM # Q
Are the games still under copyright? Where are some of the best classic games available? Thanks.

--
With great power comes great responsiblity.
Reply to this comment
Start a New Comment Thread Top

Account

Register Register | Login Log in
user:
pass: